org.eclipse.cdt.core.dom.ast

## Interface IFileNomination

All Known Subinterfaces:
  IASTPreprocessorIncludeStatement, IASTTranslationUnit, ICPPASTTranslationUnit, IIndexFile

    public interface IFileNomination

Interface for constructs that nominate a file for an AST: `IASTTranslationUnit`, `IASTPreprocessorIncludeStatement`, `IIndexFile`.

Since:
  5.4
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ISignificantMacros` `getSignificantMacros()` Returns macros relevant to parsing of the file included by this include statement and their definitions at the point of the include.
`boolean` `hasPragmaOnceSemantics()` Returns whether pragma once semantics has been detected when parsing the translation unit.

### Method Detail

#### getSignificantMacros

    ISignificantMacros getSignificantMacros()
                                     throws org.eclipse.core.runtime.CoreException

Returns macros relevant to parsing of the file included by this include statement and their definitions at the point of the include.

This method should only be called after the included file has been parsed. The method will return `ISignificantMacros.NONE` if it is called prematurely.

Throws:
  `org.eclipse.core.runtime.CoreException`

#### hasPragmaOnceSemantics

    boolean hasPragmaOnceSemantics()
                            throws org.eclipse.core.runtime.CoreException

Returns whether pragma once semantics has been detected when parsing the translation unit.

Throws:
  `org.eclipse.core.runtime.CoreException`